
using System;
using System.ServiceModel;

// The following settings must be added to your configuration file in order for 
// the new Indigo item added to your project to work correctly.

// <system.serviceModel>
//    <services>
//      <!-- Before deployment, you should remove the returnFaults behavior configuration to avoid disclosing information in exception messages -->
//      <service name=".FoxWcfService" behaviorConfiguration="returnFaults">
//        <endpoint contract=".IFoxWcfService" binding="wsHttpBinding"/>
//      </service>
//    </services>
//    <behaviors>
//      <serviceBehaviors>
//        <behavior name="returnFaults" >
//          <serviceDebug includeExceptionDetailInFaults="true" />
//        </behavior>
//       </serviceBehaviors>
//    </behaviors>
// </system.serviceModel>

// A WCF Service consists of a contract (defined below), 
// a class which implements that interface, and configuration 
// entries that specify behaviors and endpoints associated with 
// that implementation (see <system.serviceModel> in your application
// configuration file).


[ServiceContract(Namespace="http://www.west-wind.com/demos/foxwcfservice")]
public interface IFoxWcfService
{
    [OperationContract]
    string FoxServerStatus();

    [OperationContract]
    cCustomer GetCustomer();
}

public class FoxWcfService : IFoxWcfService
{
    public string FoxServerStatus()
    {
        foxservice.FoxServer Service = new foxservice.FoxServer();
        return Service.GetRequestInfo(false);
    }

    public cCustomer GetCustomer()
    {
        foxservice.CustomerClass Customer = new foxservice.CustomerClass();

        cCustomer Cust = new cCustomer();
        Cust.cName = Customer.cName;
        Cust.cCompany = Customer.cCompany;
        Cust.cAddress = Customer.cAddress;
        Cust.tEntered = (DateTime)Customer.tEntered;

        foxservice.PhoneNumbers PhoneNumbers = Customer.oPhoneNumbers as foxservice.PhoneNumbers;

        foxservice.Iphonenumbers PhoneNumbersx = Customer.oPhoneNumbers as foxservice.Iphonenumbers;

        cPhoneNumbers Phone = Cust.oPhoneNumbers;
        Phone.cTelephone = PhoneNumbers.cTelephone;
        Phone.cMobile = PhoneNumbers.cMobile;
        Phone.cFax = PhoneNumbers.cFax;

        return Cust;
    }
}
