using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;

using WebServiceClient.WebStoreService;
using System.Net;

namespace WebServiceClient
{
    [ClassInterface(ClassInterfaceType.AutoDual)]
    [ProgId("WebServiceClient.WebStoreClient")]
    public class WebStoreClient
    {
        /// <summary>
        /// An error message set when a method returns an error result       
        /// </summary>
        public string ErrorMessage
        {
            get { return _ErrorMessage; }
            set { _ErrorMessage = value; }
        }
        private string _ErrorMessage = "";

        public WebStoreService.WebStoreService Proxy
        {
            get 
            {
                if (this._Proxy == null)
                {
                    this._Proxy = new WebServiceClient.WebStoreService.WebStoreService();
                    //this._Proxy.Credentials = new NetworkCredential();
                    this._Proxy.Timeout = 10000;
                }
                
                return _Proxy; 
            }
            set { _Proxy = value; }
        }
        private WebStoreService.WebStoreService _Proxy = null;

        public wws_itemsRow GetInventoryItem(string Sku)
        {
            wws_itemsRow Item = null;
            try
            {
                Item = this.Proxy.DownloadInventoryItem(Sku);
            }
            catch (Exception ex)
            {
                this.ErrorMessage = ex.Message;
            }

            return Item;  
        }

        public wws_itemsRow[] GetInventoryItems(string Category)
        {
            wws_itemsRow[] Items = null;
            try
            {
                Items = this.Proxy.DownloadInventoryItems(Category);
            }
            catch (Exception ex)
            {
                this.ErrorMessage = ex.Message;
            }

            return Items;
        }

        public string UploadInventoryItem(wws_itemsRow Item)
        {
            string Result = null;
            try
            {
                Result = this.Proxy.UploadInventoryItemAndReturnDescript(Item);
            }
            catch (Exception ex)
            {
                this.ErrorMessage = ex.Message;
            }

            return Result;
        }


    }
}
